> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/contextual-targeting/contextual-list-tag-feeds.md).

# Contextual List Tag Feeds

Operations related to Contextual List Tag Feeds for managing feeds of contextual targeting lists.

## GET /contextual\_list\_tag\_feeds

> Search contextual list tag feed

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Contextual List Tag Feeds","description":"Operations related to Contextual List Tag Feeds for managing feeds of contextual targeting lists."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/contextual_list_tag_feeds":{"get":{"parameters":[{"schema":{"type":"array","items":{"type":"string"}},"required":false,"in":"query","name":"ids","explode":true,"description":"Ids of contextual list tag feed to search","style":"form"},{"required":false,"explode":true,"style":"form","description":"Name of contextual list tag feed","in":"query","name":"name","schema":{"type":"string"}},{"description":"Group Id of contextual list tag feed","style":"form","required":false,"in":"query","explode":true,"schema":{"type":"string"},"name":"group_id"},{"required":false,"description":"Artifact Id contextual list tag feed","schema":{"type":"string"},"in":"query","style":"form","explode":true,"name":"artifact_id"},{"name":"organisation_id","required":true,"in":"query","description":"Organisation id contextual list tag feed","schema":{"type":"string"},"explode":true,"style":"form"},{"style":"form","in":"query","required":false,"schema":{"type":"string"},"description":"Id of the plugin version","name":"version_id","explode":true},{"required":false,"style":"form","explode":true,"name":"contextual_targeting_id","in":"query","description":"Id of the contextual targeting","schema":{"type":"string"}},{"in":"query","style":"form","explode":true,"description":"Offset from which the search must be performed","schema":{"type":"integer","format":"int32"},"name":"first_result","required":false},{"description":"Number of maximum items that shall be return by this search","style":"form","schema":{"type":"integer","format":"int32"},"required":false,"explode":true,"in":"query","name":"max_results"}],"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"total":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ContextualListTagFeedResource"}},"max_results":{"type":"integer"},"count":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"first_result":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Search contextual list tag feed","tags":["Contextual List Tag Feeds"],"operationId":"findContextualListTagFeeds"}}},"components":{"schemas":{"ContextualListTagFeedResource":{"type":"object","properties":{"artifact_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"status":{"$ref":"#/components/schemas/ContextualListTagFeedStatus"},"group_id":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":false},"version_id":{"type":"string","readOnly":false},"contextual_targeting_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true}},"required":["artifact_id","contextual_targeting_id","group_id","id","organisation_id","status","version_id"]},"ContextualListTagFeedStatus":{"type":"string","enum":["INITIAL","PUBLISHED","LIVE","CLOSING","CLOSED"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /contextual\_list\_tag\_feeds

> Create an contextual list tag feed

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Contextual List Tag Feeds","description":"Operations related to Contextual List Tag Feeds for managing feeds of contextual targeting lists."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/contextual_list_tag_feeds":{"post":{"summary":"Create an contextual list tag feed","operationId":"createContextualListTagFeed","description":"","requestBody":{"description":"The contextual list tag feed to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContextualListTagFeedResource"}}},"required":true},"tags":["Contextual List Tag Feeds"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ContextualListTagFeedResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"ContextualListTagFeedResource":{"type":"object","properties":{"artifact_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"status":{"$ref":"#/components/schemas/ContextualListTagFeedStatus"},"group_id":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":false},"version_id":{"type":"string","readOnly":false},"contextual_targeting_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true}},"required":["artifact_id","contextual_targeting_id","group_id","id","organisation_id","status","version_id"]},"ContextualListTagFeedStatus":{"type":"string","enum":["INITIAL","PUBLISHED","LIVE","CLOSING","CLOSED"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /contextual\_list\_tag\_feeds/{contextual\_list\_tag\_feed\_id}

> Get contextual list tag feed

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Contextual List Tag Feeds","description":"Operations related to Contextual List Tag Feeds for managing feeds of contextual targeting lists."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/contextual_list_tag_feeds/{contextual_list_tag_feed_id}":{"get":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ContextualListTagFeedResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"getContextualListTagFeed","tags":["Contextual List Tag Feeds"],"summary":"Get contextual list tag feed","description":"","parameters":[{"required":true,"in":"path","name":"contextual_list_tag_feed_id","schema":{"type":"string"},"style":"simple","description":"The contextual list tag feed id","explode":false}]}}},"components":{"schemas":{"ContextualListTagFeedResource":{"type":"object","properties":{"artifact_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"status":{"$ref":"#/components/schemas/ContextualListTagFeedStatus"},"group_id":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":false},"version_id":{"type":"string","readOnly":false},"contextual_targeting_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true}},"required":["artifact_id","contextual_targeting_id","group_id","id","organisation_id","status","version_id"]},"ContextualListTagFeedStatus":{"type":"string","enum":["INITIAL","PUBLISHED","LIVE","CLOSING","CLOSED"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /contextual\_list\_tag\_feeds/{contextual\_list\_tag\_feed\_id}

> Update contextual list tag feed

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Contextual List Tag Feeds","description":"Operations related to Contextual List Tag Feeds for managing feeds of contextual targeting lists."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/contextual_list_tag_feeds/{contextual_list_tag_feed_id}":{"put":{"description":"","requestBody":{"description":"The contextual list tag feed to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContextualListTagFeedResource"}}},"required":true},"parameters":[{"required":true,"name":"contextual_list_tag_feed_id","in":"path","schema":{"type":"string"},"explode":false,"style":"simple","description":"The contextual list tag feed id"}],"summary":"Update contextual list tag feed","tags":["Contextual List Tag Feeds"],"operationId":"updateContextualListTagFeed","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ContextualListTagFeedResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"ContextualListTagFeedResource":{"type":"object","properties":{"artifact_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"status":{"$ref":"#/components/schemas/ContextualListTagFeedStatus"},"group_id":{"type":"string","readOnly":false},"organisation_id":{"type":"string","readOnly":false},"version_id":{"type":"string","readOnly":false},"contextual_targeting_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true}},"required":["artifact_id","contextual_targeting_id","group_id","id","organisation_id","status","version_id"]},"ContextualListTagFeedStatus":{"type":"string","enum":["INITIAL","PUBLISHED","LIVE","CLOSING","CLOSED"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /contextual\_list\_tag\_feeds/{contextual\_list\_tag\_feed\_id}

> Delete contextual list tag feed

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Contextual List Tag Feeds","description":"Operations related to Contextual List Tag Feeds for managing feeds of contextual targeting lists."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/contextual_list_tag_feeds/{contextual_list_tag_feed_id}":{"delete":{"summary":"Delete contextual list tag feed","parameters":[{"name":"contextual_list_tag_feed_id","style":"simple","description":"The contextual list tag feed id","in":"path","schema":{"type":"string"},"explode":false,"required":true}],"operationId":"deleteContextualListTagFeed","tags":["Contextual List Tag Feeds"],"description":"","responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## GET /contextual\_list\_tag\_feeds/{contextual\_list\_tag\_feed\_id}/properties/technical\_name={technical\_name}

> Get a property of the contextual list tag feed

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Contextual List Tag Feeds","description":"Operations related to Contextual List Tag Feeds for managing feeds of contextual targeting lists."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/contextual_list_tag_feeds/{contextual_list_tag_feed_id}/properties/technical_name={technical_name}":{"get":{"parameters":[{"schema":{"type":"string"},"style":"simple","explode":false,"description":"The contextual list tag feed id","name":"contextual_list_tag_feed_id","in":"path","required":true},{"name":"technical_name","style":"simple","in":"path","explode":false,"schema":{"type":"string"},"description":"The property technical name","required":true},{"explode":true,"schema":{"type":"string"},"in":"query","style":"form","name":"plugin_version_id","required":false}],"tags":["Contextual List Tag Feeds"],"operationId":"getProperty","description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PropertyResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Get a property of the contextual list tag feed"}}},"components":{"schemas":{"PropertyResource":{"type":"object","properties":{"writable":{"type":"boolean","default":false,"readOnly":false},"value":{"$ref":"#/components/schemas/PropertyValueResource"},"origin":{"$ref":"#/components/schemas/PluginPropertyOrigin"},"technical_name":{"type":"string","readOnly":false},"deletable":{"type":"boolean","default":false,"readOnly":false}},"required":["deletable","origin","technical_name","value","writable"]},"PropertyValueResource":{"type":"object"},"PluginPropertyOrigin":{"type":"string","enum":["PLUGIN_STATIC","PLUGIN","INSTANCE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /contextual\_list\_tag\_feeds/{contextual\_list\_tag\_feed\_id}/properties/technical\_name={technical\_name}

> Update a property to the contextual list tag feed

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Contextual List Tag Feeds","description":"Operations related to Contextual List Tag Feeds for managing feeds of contextual targeting lists."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/contextual_list_tag_feeds/{contextual_list_tag_feed_id}/properties/technical_name={technical_name}":{"put":{"description":"","operationId":"updateProperty","parameters":[{"name":"contextual_list_tag_feed_id","schema":{"type":"string"},"in":"path","required":true,"style":"simple","explode":false,"description":"The contextual list tag feed id"},{"in":"path","description":"The property technical name","name":"technical_name","schema":{"type":"string"},"explode":false,"required":true,"style":"simple"},{"required":false,"explode":true,"name":"plugin_version_id","style":"form","schema":{"type":"string"},"in":"query"}],"summary":"Update a property to the contextual list tag feed","tags":["Contextual List Tag Feeds"],"requestBody":{"description":"The property to add","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertyResource"}}},"required":true},"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PropertyResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"PropertyResource":{"type":"object","properties":{"writable":{"type":"boolean","default":false,"readOnly":false},"value":{"$ref":"#/components/schemas/PropertyValueResource"},"origin":{"$ref":"#/components/schemas/PluginPropertyOrigin"},"technical_name":{"type":"string","readOnly":false},"deletable":{"type":"boolean","default":false,"readOnly":false}},"required":["deletable","origin","technical_name","value","writable"]},"PropertyValueResource":{"type":"object"},"PluginPropertyOrigin":{"type":"string","enum":["PLUGIN_STATIC","PLUGIN","INSTANCE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /contextual\_list\_tag\_feeds/{contextual\_list\_tag\_feed\_id}/properties

> List of the contextual list tag feed properties

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Contextual List Tag Feeds","description":"Operations related to Contextual List Tag Feeds for managing feeds of contextual targeting lists."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/contextual_list_tag_feeds/{contextual_list_tag_feed_id}/properties":{"get":{"parameters":[{"description":"The contextual list tag feed id","name":"contextual_list_tag_feed_id","schema":{"type":"string"},"explode":false,"required":true,"in":"path","style":"simple"},{"name":"plugin_version_id","in":"query","style":"form","schema":{"type":"string"},"required":false,"explode":true}],"tags":["Contextual List Tag Feeds"],"summary":"List of the contextual list tag feed properties","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/PropertyResource"}},"count":{"type":"integer"}},"required":["count","data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","operationId":"findProperties"}}},"components":{"schemas":{"PropertyResource":{"type":"object","properties":{"writable":{"type":"boolean","default":false,"readOnly":false},"value":{"$ref":"#/components/schemas/PropertyValueResource"},"origin":{"$ref":"#/components/schemas/PluginPropertyOrigin"},"technical_name":{"type":"string","readOnly":false},"deletable":{"type":"boolean","default":false,"readOnly":false}},"required":["deletable","origin","technical_name","value","writable"]},"PropertyValueResource":{"type":"object"},"PluginPropertyOrigin":{"type":"string","enum":["PLUGIN_STATIC","PLUGIN","INSTANCE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /contextual\_list\_tag\_feeds/{contextual\_list\_tag\_feed\_id}/properties

> Add a property to the contextual list tag feed

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Contextual List Tag Feeds","description":"Operations related to Contextual List Tag Feeds for managing feeds of contextual targeting lists."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/contextual_list_tag_feeds/{contextual_list_tag_feed_id}/properties":{"post":{"parameters":[{"schema":{"type":"string"},"name":"contextual_list_tag_feed_id","style":"simple","in":"path","description":"The contextual list tag feed id","explode":false,"required":true},{"schema":{"type":"string"},"explode":true,"in":"query","required":false,"name":"plugin_version_id","style":"form"}],"tags":["Contextual List Tag Feeds"],"summary":"Add a property to the contextual list tag feed","operationId":"addProperty","description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/PropertyResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"requestBody":{"description":"The property to add","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PropertyResource"}}},"required":true}}}},"components":{"schemas":{"PropertyResource":{"type":"object","properties":{"writable":{"type":"boolean","default":false,"readOnly":false},"value":{"$ref":"#/components/schemas/PropertyValueResource"},"origin":{"$ref":"#/components/schemas/PluginPropertyOrigin"},"technical_name":{"type":"string","readOnly":false},"deletable":{"type":"boolean","default":false,"readOnly":false}},"required":["deletable","origin","technical_name","value","writable"]},"PropertyValueResource":{"type":"object"},"PluginPropertyOrigin":{"type":"string","enum":["PLUGIN_STATIC","PLUGIN","INSTANCE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/contextual-targeting/contextual-list-tag-feeds.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
